Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Class ISpecialArmor.ArmorProperties

    java.lang.Object
      net.minecraftforge.common.ISpecialArmor.ArmorProperties

All Implemented Interfaces:
  Comparable<ISpecialArmor.ArmorProperties>

Enclosing interface:
  ISpecialArmor

    public static class ISpecialArmor.ArmorProperties

extends Object
implements Comparable<ISpecialArmor.ArmorProperties>

Field Summary
`int` | `AbsorbMax`
`double` | `AbsorbRatio`
`int` | `Priority`
`int` | `Slot`

Constructor Summary
`ISpecialArmor.ArmorProperties(int priority, double ratio, int max)`

Method Summary
`static int` | `ApplyArmor(EntityLiving entity, ItemStack[] inventory, DamageSource source, double damage)` Gathers and applies armor reduction to damage being dealt to a entity.
`int` | `compareTo(ISpecialArmor.ArmorProperties o)`
`ISpecialArmor.ArmorProperties` | `copy()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Priority

    public int Priority

### AbsorbMax

    public int AbsorbMax

### AbsorbRatio

    public double AbsorbRatio

### Slot

    public int Slot

Constructor Detail

### ISpecialArmor.ArmorProperties

    public ISpecialArmor.ArmorProperties(int priority,
                                         double ratio,
                                         int max)

Method Detail

### ApplyArmor

    public static int ApplyArmor(EntityLiving entity,
                                 ItemStack[] inventory,
                                 DamageSource source,
                                 double damage)

  Gathers and applies armor reduction to damage being dealt to a entity.

  Parameters:
    `entity` - The Entity being damage
    `inventory` - An array of armor items
    `source` - The damage source type
    `damage` - The total damage being done
  Returns:
    The left over damage that has not been absorbed by the armor

### compareTo

    public int compareTo(ISpecialArmor.ArmorProperties o)

  Specified by:
    `compareTo` in interface `Comparable<ISpecialArmor.ArmorProperties>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### copy

    public ISpecialArmor.ArmorProperties copy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD